//go:build !notrace
// +build !notrace

package errors_test

import (
	"testing"

	"codeberg.org/gruf/go-errors/v2"
)

func TestStacktrace(t *testing.T) {
	var callers errors.Callers
	err := errors.New("with stacktrace")
	if callers = errors.Stacktrace(err); callers == nil {
		t.Error("error stacktrace nil with !notrace buildtag")
	}
}
